// packageD/auction/auctioneer-shop/auctioneer_shop_search/auctioneer_shop_search.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    page:1,
    keyword:''

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id : options.id
    });
    this.getStatus();
  },
  keyword(e){
    let is_value = e.detail.value;
    this.setData({
      keyword:is_value,
     
    });
  },
  gettap(){
    this.setData({
      page:1,
      current_page:1,
      last_page:1
    });
    this.getSearch();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      wx.showToast({
        title: '没有更多了',
        icon:'none',
        duration:1000
      });
      return;
    }else{
      let is_page = this.data.page +1;
      this.setData({
        page:is_page
      });
      this.getSearch();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getSearch(){
    let json ={
      keyword:this.data.keyword,
      status:1,
      auc_status:'',
      is_new:'',
      is_recommend:'',
      auctioneer_id:this.data.id,
      art:'getSearch',
      page:this.data.page,
      is_pass:this.data.status?'1':'0'
    };
    var that = this;
    let urlStr = app.getNetAddresss('plugin.auction.api.index.getAuctionData');
    app._getNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            datas:res.data.getSearch.data,
            current_page:res.data.getSearch.current_page,
            last_page:res.data.getSearch.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getStatus() {
    var that = this;
    let urlStr = app.getNetAddresss('plugin.auction.api.index.getAuctionData');
    let json = {
      member_id: this.data.id
    };
    app._getNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var response = resdata.data;
        if (response.result == 1) {
          that.setData({
            status: response.data.getVerify.status,
          });
          that.getSearch();
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
        wx.showToast({
          title: res.msg,
          icon: "none",
          duration: 1000
        });
      }
    });
  },
});